<?php
/*
Stores info on one alliance from the alliancelist data file.
*/
class Alliance{
  public $tag, $name, $description, $president, $avg_x, $avg_y, $nb_planets, $total_influence;
	
  /*
  Constructs a new Alliance object.
  $group = a group of lines from the alliancelist data file, which represents one alliance.
  */
  public function Alliance($group){
    ereg("([^ ]+) (.*)", $group[0], $regs);
    $i = 1;
    $this->tag = $regs[$i++];
    $this->name = $regs[$i++];
    
    $this->description = $group[1];
    
    $info = explode(' ', $group[2]);
    $i = 0;
    $this->president = $info[$i++];
    $this->avg_x = $info[$i++];
    $this->avg_y = $info[$i++];
    $this->nb_planets = $info[$i++];
    $this->total_influence = $info[$i++];
  }
}
?>
