<?php
require_once 'PHPUnit/Framework.php';
require_once '../Event.php';

/*
Tests the Event class.
*/
class EventTest extends PHPUnit_Framework_TestCase{
  public function test(){
    $event = new Event('1880 FPH_Forever 2009-04-10 06:50:21 The government system has changed to Dictatorial.');
    $this->assertEquals(1880, $event->planet_hyp_id);
    $this->assertEquals('2009-04-10 06:50:21', $event->date);
    $this->assertEquals('The government system has changed to Dictatorial.', $event->description);
  }
}
?>
