<?php
require_once 'PHPUnit/Framework.php';
require_once '../Player.php';

/*
Tests the Player class.
*/
class PlayerTest extends PHPUnit_Framework_TestCase{
  public function test(){
    $player = new Player('Caulius 827 865 1696451 1 848 4658 848 0 Nuneaton');
    $this->assertEquals('Caulius', $player->name);
    $this->assertEquals(827, $player->influ_rank);
    $this->assertEquals(865, $player->influ_rank_sc);
    $this->assertEquals(1696451, $player->influ_score);
    $this->assertEquals(1, $player->hyp_rank);
    $this->assertEquals(848, $player->idr_rank);
    $this->assertEquals(4658, $player->idr_score);
    $this->assertEquals(848, $player->idr_rank_sc);
    $this->assertEquals(0, $player->sc);
    $this->assertEquals('Nuneaton', $player->location);
  }
}
?>
