<?php
/*
Represents a group of data files from the same date.
*/
class DataFileGroup{
  /*
  The file names of each data file.
  */
  public $planets, $players, $alliances, $events;
  
  /*
  Returns true if all four data files exist.
  */
  public function hasAllFiles(){
    return $this->planets != null && $this->players != null && $this->alliances != null && $this->events != null;
  }
}
?>
