<?php
/*
Stores info on one planet from the planetlist data file.
*/
class Planet{
  public $hyp_id, $name, $gov_system, $x, $y, $race, $prod_type, $activity, $public_tag, $civ_level, $planet_size;
	
  /*
  Constructs a new Planet object.
  $line = a line from the planetlist data file, which represents one planet.
  */
  public function Planet($line){
    $info = explode(' ', $line);
    $i = 0;
    
    $this->hyp_id = $info[$i++];
    $this->name = $info[$i++];
    $this->gov_system = $info[$i++];
    $this->x = $info[$i++];
    $this->y = $info[$i++];
    $this->race = $info[$i++];
    $this->prod_type = $info[$i++];
    $this->activity = $info[$i++];
    
    $t = $info[$i++];
    if ($t != '[]'){
      $this->public_tag = str_replace(array('[', ']'), '', $t);
    }
    
    $this->civ_level = $info[$i++];
    $this->planet_size = $info[$i++];
  }
}
?>
